### Constructor

# Gio DBusObjectManagerServer new

since: 2.30

#### Declaration

    GDBusObjectManagerServer*
    g_dbus_object_manager_server_new (
      const gchar* object_path
    )

#### Description

Creates a new `GDBusObjectManagerServer` object.

The returned server isn’t yet exported on any connection. To do so, use g_dbus_object_manager_server_set_connection(). Normally you want to export all of your objects before doing so to avoid InterfacesAdded signals being emitted.

Available since: 2.30

#### Parameters

`object_path`

  Type: `const gchar*`

  The object path to export the manager object at.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GDBusObjectManagerServer`

A `GDBusObjectManagerServer` object. Free with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.